import { type SoloLogger } from './logging/solo-logger.js';
export declare class ShellRunner {
    logger?: SoloLogger;
    constructor(logger?: SoloLogger);
    /** Returns a promise that invokes the shell command */
    run(cmd: string, arguments_?: string[], verbose?: boolean, detached?: boolean): Promise<string[]>;
    sudoRun(sudoRequested: (message: string) => void, sudoGranted: (message: string) => void, cmd: string, arguments_?: string[], verbose?: boolean, detached?: boolean): Promise<string[]>;
}
